package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgDSAlm;

/**
 * 对射报警相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgDSDao {

	/******** 对射报警状态 ********/
	public List<PgDSAlm> findAllSbjz();
	public PgDSAlm findSbjzById(Integer id);
	
	public List<PgDSAlm> findSbjzByDevice(Integer deviceid);
	public List<PgDSAlm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgDSAlm hsalm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
